package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Contacts.
 */
@ApiModel(description = "Contacts.")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class BookOpenApiVo   {
  @JsonProperty("contact id")
  private String contactId;

  @JsonProperty("contact name")
  private String contactName;

  public BookOpenApiVo contactId(String contactId) {
    this.contactId = contactId;
    return this;
  }

  /**
   * contact id
   * @return contactId
  */
  @ApiModelProperty(value = "contact id")


  public String getContactId() {
    return contactId;
  }

  public void setContactId(String contactId) {
    this.contactId = contactId;
  }

  public BookOpenApiVo contactName(String contactName) {
    this.contactName = contactName;
    return this;
  }

  /**
   * contact name
   * @return contactName
  */
  @ApiModelProperty(value = "contact name")


  public String getContactName() {
    return contactName;
  }

  public void setContactName(String contactName) {
    this.contactName = contactName;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    BookOpenApiVo bookOpenApiVo = (BookOpenApiVo) o;
    return Objects.equals(this.contactId, bookOpenApiVo.contactId) &&
        Objects.equals(this.contactName, bookOpenApiVo.contactName);
  }

  @Override
  public int hashCode() {
    return Objects.hash(contactId, contactName);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class BookOpenApiVo {\n");
    
    sb.append("    contactId: ").append(toIndentedString(contactId)).append("\n");
    sb.append("    contactName: ").append(toIndentedString(contactName)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

